petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESComputeObjective

Computes the objective.

### Synopsis

    PetscErrorCode SNESComputeObjective(SNES snes,Vec X,PetscReal *ob)

Collective on SNES

### Input Parameter

| snes | - the SNES context
| X | - the state vector

### Output Parameter

ob -the objective value

### See Also

SNESSetObjective(), SNESGetSolution()

### Level

advanced

### Location

src/snes/interface/snesob.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages